<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="xml" omit-xml-declaration="yes"/>

<!-- Covers.... Rating.....All page-->

<xsl:template name="boxme">
	<xsl:choose>
				<xsl:when test="contains(videoSource,'BluRay')"><img width="246" src="pictures/meow/cover_bluray.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'D-THEATER')"><img width="246" src="pictures/meow/cover_dtheater.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'DVD')"><img width="246" src="pictures/meow/cover_dvd.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'HDDVD')"><img width="246" src="pictures/meow/cover_hddvd.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'HDTV')"><img width="246" src="pictures/meow/cover_hdtv.png" id="coveroverlay" /></xsl:when>
				<xsl:otherwise><img width="246" src="pictures/meow/cover_clear.png" id="coveroverlay" /></xsl:otherwise>
	</xsl:choose>
	
	
</xsl:template>

<xsl:template name="boxme-tv">

			<xsl:choose>
				<xsl:when test="contains(videoSource,'BluRay')"><img width="231" src="pictures/meow/cover_bluray.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'D-THEATER')"><img width="231" src="pictures/meow/cover_dtheater.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'DVD')"><img width="231" src="pictures/meow/cover_dvd.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'HDDVD')"><img width="231" src="pictures/meow/cover_hddvd.png" id="coveroverlay" /></xsl:when>
				<xsl:when test="contains(videoSource,'HDTV')"><img width="231" src="pictures/meow/cover_hdtv.png" id="coveroverlay" /></xsl:when>
				<xsl:otherwise><img width="231" src="pictures/meow/cover_clear.png" id="coveroverlay" /></xsl:otherwise>
			</xsl:choose>
		
</xsl:template>

<xsl:template name="certification">
         <xsl:choose>
          <xsl:when test="/details/movie/certification = 'R' or /details/movie/certification = 'PG' or /details/movie/certification = 'PG-13' or /details/movie/certification = 'G' or /details/movie/certification = 'NC-17' or /details/movie/certification = 'TV-14' or /details/movie/certification = 'TV-G' or /details/movie/certification = 'TV-MA' or /details/movie/certification = 'TV-PG' or /details/movie/certification = 'TV-Y' or /details/movie/certification = 'TV-Y7' or /details/movie/certification = 'TV-Y7FV' or /details/movie/certification = '12' or /details/movie/certification = '12A' or /details/movie/certification = '15' or /details/movie/certification = '18' or /details/movie/certification = 'PG' or /details/movie/certification = 'R18' or /details/movie/certification = 'U' or /details/movie/certification = 'X' or /details/movie/certification = '0' or /details/movie/certification = '6' or /details/movie/certification = '12' or /details/movie/certification = '16' or /details/movie/certification = '18' or /details/movie/certification = 'o.Al.'">
           <xsl:if test="/details/movie/certification = 'R'"><img src="pictures/certificates/R.png" height="30"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'PG'"><img src="pictures/certificates/PG.png" height="30"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'PG-13'"><img src="pictures/certificates/PG13.png" height="30"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'G'"><img src="pictures/certificates/G.png" height="30"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'NC-17'"><img src="pictures/certificates/NC17.png" height="30"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'TV-14'"><img src="pictures/certificates/tv_14.png" height="38"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'TV-G'"><img src="pictures/certificates/tv_g.png" height="38"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'TV-MA'"><img src="pictures/certificates/tv_ma.png" height="38"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'TV-PG'"><img src="pictures/certificates/tv_pg.png" height="38"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'TV-Y'"><img src="pictures/certificates/tv_y.png" height="38"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'TV-Y7'"><img src="pictures/certificates/tv_y7.png" height="38"/></xsl:if>
           <xsl:if test="/details/movie/certification = 'TV-Y7FV'"><img src="pictures/certificates/tv_y7fv.png" height="38"/></xsl:if>
		   <xsl:if test="/details/movie/certification = '12'"><img src="pictures/certificates/bbfc_12.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = '12A'"><img src="pictures/certificates/bbfc_12a.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = '15'"><img src="pictures/certificates/bbfc_15.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = '18'"><img src="pictures/certificates/bbfc_18.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = 'R18'"><img src="pictures/certificates/bbfc_r18.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = 'U'"><img src="pictures/certificates/bbfc_u.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = 'X'"><img src="pictures/certificates/bbfc_x.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = '0'"><img src="pictures/certificates/fsk_0.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = 'o.Al.'"><img src="pictures/certificates/fsk_0.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = '6'"><img src="pictures/certificates/fsk_6.png" height="30"/></xsl:if>
		   <xsl:if test="/details/movie/certification = '16'"><img src="pictures/certificates/fsk_16.png" height="30"/></xsl:if>
          </xsl:when>
          <xsl:otherwise>
          <img src="pictures/meow/codecdummy_U.png" height="38" />
          </xsl:otherwise>
         </xsl:choose>

 </xsl:template>

<!--***************************************************INDEX 2 PAGE *************************************************************************************************-->

<xsl:template name="videoOutputIndex2">
<xsl:choose>
            <xsl:when test="contains(resolution,'1280')">pictures/t-720p.png</xsl:when>
            <xsl:otherwise>
             <xsl:choose>
              <xsl:when test="contains(resolution,'1920')">pictures/t-1080p.png</xsl:when>
              <xsl:otherwise>
               <xsl:choose>
                <xsl:when test="contains(videoOutput,'NTSC')">pictures/t-ntsc.png</xsl:when>
                <xsl:otherwise>
                 <xsl:choose>
                  <xsl:when test="contains(videoOutput,'PAL')">pictures/t-pal.png</xsl:when>
                  <xsl:otherwise>pictures/meow/codecdummy_U.png</xsl:otherwise>
                 </xsl:choose>
                </xsl:otherwise>
               </xsl:choose>
              </xsl:otherwise>
             </xsl:choose>
            </xsl:otherwise>
           </xsl:choose>
</xsl:template>

<xsl:template name="audioCodecIndex2">
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'TrueHD')">pictures/t-dolby-hd.png</xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'DTS')">pictures/t-dts.png</xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'AC3')">pictures/t-dolby.png</xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'MP3')">pictures/t-mp3.png</xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'DTS-HD')">pictures/t-dts-hd.png</xsl:when>
	<xsl:otherwise>pictures/meow/codecdummy_U.png</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="certificationIndex2">
         <xsl:choose>
          <xsl:when test="certification = 'R' or certification = 'PG' or certification = 'PG-13' or certification = 'G' or certification = 'NC-17' or certification = 'TV-14' or certification = 'TV-G' or certification = 'TV-MA' or certification = 'TV-PG' or certification = 'TV-Y' or certification = 'TV-Y7' or certification = 'TV-Y7FV' or certification = '12' or certification = '12A' or certification = '15' or certification = '18' or certification = 'PG' or certification = 'R18' or certification = 'U' or certification = 'X' or certification = '0' or certification = '6' or certification = '12' or certification = '16' or certification = '18' or certification = 'o.Al.'">
           <xsl:if test="certification = 'R'">pictures/certificates/R.png</xsl:if>
           <xsl:if test="certification = 'PG'">pictures/certificates/PG.png</xsl:if>
           <xsl:if test="certification = 'PG-13'">pictures/certificates/PG13.png</xsl:if>
           <xsl:if test="certification = 'G'">pictures/certificates/G.png</xsl:if>
           <xsl:if test="certification = 'NC-17'">pictures/certificates/NC17.png</xsl:if>
           <xsl:if test="certification = 'TV-14'">pictures/certificates/tv_14.png</xsl:if>
           <xsl:if test="certification = 'TV-G'">pictures/certificates/tv_g.png</xsl:if>
           <xsl:if test="certification = 'TV-MA'">pictures/certificates/tv_ma.png</xsl:if>
           <xsl:if test="certification = 'TV-PG'">pictures/certificates/tv_pg.png</xsl:if>
           <xsl:if test="certification = 'TV-Y'">pictures/certificates/tv_y.png</xsl:if>
           <xsl:if test="certification = 'TV-Y7'">pictures/certificates/tv_y7.png</xsl:if>
           <xsl:if test="certification = 'TV-Y7FV'">pictures/certificates/tv_y7fv.png</xsl:if>
		   <xsl:if test="certification = '12'">pictures/certificates/bbfc_12.png</xsl:if>
		   <xsl:if test="certification = '12A'">pictures/certificates/bbfc_12a.png</xsl:if>
		   <xsl:if test="certification = '15'">pictures/certificates/bbfc_15.png</xsl:if>
		   <xsl:if test="certification = '18'">pictures/certificates/bbfc_18.png</xsl:if>
		   <xsl:if test="certification = 'R18'">pictures/certificates/bbfc_r18.png</xsl:if>
		   <xsl:if test="certification = 'U'">pictures/certificates/bbfc_u.png</xsl:if>
		   <xsl:if test="certification = 'X'">pictures/certificates/bbfc_x.png</xsl:if>
		   <xsl:if test="certification = '0'">pictures/certificates/fsk_0.png</xsl:if>
		   <xsl:if test="certification = 'o.Al.'">pictures/certificates/fsk_0.png</xsl:if>
		   <xsl:if test="certification = '6'">pictures/certificates/fsk_6.png</xsl:if>
		   <xsl:if test="certification = '16'">pictures/certificates/fsk_16.png</xsl:if>
          </xsl:when>
          <xsl:otherwise>pictures/meow/codecdummy_U.png</xsl:otherwise>
         </xsl:choose>

 </xsl:template>

<!--*************************************************** MOVIE DETAIL PAGE *************************************************************************************************-->


<xsl:template name="videoOutput">
<xsl:choose>
            <xsl:when test="contains(resolution,'1280')"><img src="pictures/hd720.png" height="65"  /></xsl:when>
            <xsl:otherwise>
             <xsl:choose>
              <xsl:when test="contains(resolution,'1920')"><img src="pictures/hd1080.png" height="65" /></xsl:when>
              <xsl:otherwise>
               <xsl:choose>
                <xsl:when test="contains(videoOutput,'NTSC') or contains(videoOutput,'24p') "><img src="pictures/t-ntsc.png" height="38"/></xsl:when>
                <xsl:otherwise>
                 <xsl:choose>
                  <xsl:when test="contains(videoOutput,'PAL')"><img src="pictures/t-pal.png" height="38"/></xsl:when>
                  <xsl:otherwise>
                   <!--<xsl:value-of select="videoOutput" />--><img src="pictures/codecdummy.png" height="65"/>
                  </xsl:otherwise>
                 </xsl:choose>
                </xsl:otherwise>
               </xsl:choose>
              </xsl:otherwise>
             </xsl:choose>
            </xsl:otherwise>
           </xsl:choose>
</xsl:template>



<xsl:template name="audioCodec">
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'TrueHD')"><img src="pictures/t-dolby-hd.png" height="38"  /></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'DTS')"><img src="pictures/t-dts.png"  height="38" /></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'AC3')"><img src="pictures/t-dolby.png" height="38"/></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'MP3')"><img src="pictures/t-mp3.png" height="38"/></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'DTS-HD')"><img src="pictures/t-dts-hd.png" height="38"/></xsl:when>
	<xsl:otherwise>
	<img src="pictures/codecdummy.png" height="38"/>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<!-- ********************************************************* TV page template ******************************************************************************************* -->

<xsl:template name="TVvideoOutput">
<xsl:choose>
            <xsl:when test="contains(resolution,'1280')"><img src="pictures/t-720p.png" height="38"  /></xsl:when>
            <xsl:otherwise>
             <xsl:choose>
              <xsl:when test="contains(resolution,'1920')"><img src="pictures/t-1080p.png" height="38" /></xsl:when>
              <xsl:otherwise>
               <xsl:choose>
                <xsl:when test="contains(videoOutput,'NTSC')"><img src="pictures/t-ntsc.png" height="38"/></xsl:when>
                <xsl:otherwise>
                 <xsl:choose>
                  <xsl:when test="contains(videoOutput,'PAL')"><img src="pictures/t-pal.png" height="38"/></xsl:when>
                  <xsl:otherwise>
                   <!--<xsl:value-of select="videoOutput" />--><img src="pictures/codecdummy.png" height="38"/>
                  </xsl:otherwise>
                 </xsl:choose>
                </xsl:otherwise>
               </xsl:choose>
              </xsl:otherwise>
             </xsl:choose>
            </xsl:otherwise>
           </xsl:choose>
</xsl:template>

<xsl:template name="TVaudioCodec">
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'TrueHD')"><img src="pictures/t-dolby-hd.png" height="38"  /></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'DTS')"><img src="pictures/t-dts.png"  height="38" /></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'AC3')"><img src="pictures/t-dolby.png" height="38"/></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'MP3')"><img src="pictures/t-mp3.png" height="38"/></xsl:when>
	<xsl:otherwise>
	<xsl:choose>
	<xsl:when test="contains(audioCodec,'DTS-HD')"><img src="pictures/t-dts-hd.png" height="38"/></xsl:when>
	<xsl:otherwise>
	<img src="pictures/codecdummy.png" height="38"/>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>



<!--#####################**************************************************************************************************************************************##########-->

 <xsl:template name="network">

           <xsl:choose>
            <xsl:when test="contains(company,'A&#38;E')"><img><xsl:attribute name="src">pictures/tvlogos/ae.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
            <xsl:otherwise> 

			<xsl:choose>
              <xsl:when test="contains(company,'ABC')"><img><xsl:attribute name="src">pictures/tvlogos/abc.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
              <xsl:otherwise>

			  <xsl:choose>
                <xsl:when test="contains(company,'AMC')"><img><xsl:attribute name="src">pictures/tvlogos/amc.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC One') or contains(company,'BBC ONE')"><img><xsl:attribute name="src">pictures/tvlogos/bbc1.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC Two') or contains(company,'BBC TWO')"><img><xsl:attribute name="src">pictures/tvlogos/bbc2.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC Three') or contains(company,'BBC THREE')"><img><xsl:attribute name="src">pictures/tvlogos/bbc3.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC Four')"><img><xsl:attribute name="src">pictures/tvlogos/bbc4.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC')"><img><xsl:attribute name="src">pictures/tvlogos/bbc.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                  <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Bravo')"><img><xsl:attribute name="src">pictures/tvlogos/bravo.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Cartoon Network')"><img><xsl:attribute name="src">pictures/tvlogos/cartoonnetwork.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'CBS')"><img><xsl:attribute name="src">pictures/tvlogos/cbs.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Channel 4')"><img><xsl:attribute name="src">pictures/tvlogos/channel4.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'The CW')"><img><xsl:attribute name="src">pictures/tvlogos/cw.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Discovery')"><img><xsl:attribute name="src">pictures/tvlogos/discovery.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Disney')"><img><xsl:attribute name="src">pictures/tvlogos/disney.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'E!')"><img><xsl:attribute name="src">pictures/tvlogos/e.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Five') or contains(company,'five')"><img><xsl:attribute name="src">pictures/tvlogos/five.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Food Network')"><img><xsl:attribute name="src">pictures/tvlogos/foodnetwork.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'FOX')"><img><xsl:attribute name="src">pictures/tvlogos/fox.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'FX')"><img><xsl:attribute name="src">pictures/tvlogos/fx.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'HBO')"><img><xsl:attribute name="src">pictures/tvlogos/hbo.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'History')"><img><xsl:attribute name="src">pictures/tvlogos/historychannel.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'ITV')"><img><xsl:attribute name="src">pictures/tvlogos/itv.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Lifetime')"><img><xsl:attribute name="src">pictures/tvlogos/lifetime.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'MTV')"><img><xsl:attribute name="src">pictures/tvlogos/mtv.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'NBC')"><img><xsl:attribute name="src">pictures/tvlogos/nbc.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Nickelodeon')"><img><xsl:attribute name="src">pictures/tvlogos/nickelodeon.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'PBS')"><img><xsl:attribute name="src">pictures/tvlogos/pbs.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Showcase') or contains(company,'ShowCase')"><img><xsl:attribute name="src">pictures/tvlogos/showcase.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Showtime')"><img><xsl:attribute name="src">pictures/tvlogos/showtime.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Spike')"><img><xsl:attribute name="src">pictures/tvlogos/spike.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'SciFi')"><img><xsl:attribute name="src">pictures/tvlogos/syfy.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TBS')"><img><xsl:attribute name="src">pictures/tvlogos/tbs.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TLC')"><img><xsl:attribute name="src">pictures/tvlogos/tlc.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TNT')"><img><xsl:attribute name="src">pictures/tvlogos/tnt.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'TV Land')"><img><xsl:attribute name="src">pictures/tvlogos/tvland.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'USA')"><img><xsl:attribute name="src">pictures/tvlogos/usa.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'UPN')"><img><xsl:attribute name="src">pictures/tvlogos/upn.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'VH1')"><img><xsl:attribute name="src">pictures/tvlogos/vh1.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Comedy Central')"><img><xsl:attribute name="src">pictures/tvlogos/comedycentral.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'CTV')"><img><xsl:attribute name="src">pictures/tvlogos/ctv.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'E4')"><img><xsl:attribute name="src">pictures/tvlogos/e4.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

					<xsl:choose>
                    <xsl:when test="not(contains(company,'A&#38;E')) or not(contains(company,'ABC')) or not(contains(company,'AMC')) or not(contains(company,'BBC')) or not(contains(company,'Bravo')) or not(contains(company,'Cartoon Network')) or not(contains(company,'CBS')) or not(contains(company,'The CW')) or not(contains(company,'Discovery')) or not(contains(company,'Disney')) or not(contains(company,'E!')) or not(contains(company,'Food Network')) or not(contains(company,'FOX')) or not(contains(company,'FX')) or not(contains(company,'HBO')) or not(contains(company,'History')) or not(contains(company,'Lifetime')) or not(contains(company,'MTV')) or not(contains(company,'NBC')) or not(contains(company,'Nickelodeon')) or not(contains(company,'PBS')) or not(contains(company,'Showtime')) or not(contains(company,'Spike')) or not(contains(company,'SciFi')) or not(contains(company,'TBS')) or not(contains(company,'TLC')) or not(contains(company,'TNT')) or not(contains(company,'TV Land')) or not(contains(company,'USA')) or not(contains(company,'VH1')) or not(contains(company,'Comedy Central')) or not(contains(company,'BBC One')) or not(contains(company,'BBC ONE')) or not(contains(company,'BBC Two')) or not(contains(company,'BBC TWO')) or not(contains(company,'BBC Three')) or not(contains(company,'BBC THREE')) or not(contains(company,'BBC Four')) or not(contains(company,'Channel 4')) or not(contains(company,'Five')) or not(contains(company,'five')) or not(contains(company,'ITV')) or not(contains(company,'Showcase')) or not(contains(company,'ShowCase')) or not(contains(company,'CTV')) or not(contains(company,'E4')) or not(contains(company,'UPN'))">
                      <img><xsl:attribute name="src">pictures/meow/codecdummy_U.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
					  </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>
				   
                  </xsl:otherwise>
                 </xsl:choose>
				 
                </xsl:otherwise>
               </xsl:choose>
			   
              </xsl:otherwise>
             </xsl:choose>
			 
            </xsl:otherwise>
           </xsl:choose>
 </xsl:template>

<xsl:template name="studio">

           <xsl:choose>
            <xsl:when test="contains(company,'Fox')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/20thcenturyfox.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
            <xsl:otherwise> 

			<xsl:choose>
              <xsl:when test="contains(company,'Artisan')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/artisan.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
              <xsl:otherwise>

			  <xsl:choose>
                <xsl:when test="contains(company,'Carolco')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/carolco.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'Castle Rock')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/castlerock.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                  <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Columbia Pictures')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/columbia.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Dimension')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/dimension.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Walt')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/disney.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'DreamWorks')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/dreamworks.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'FilmFour')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/filmfour.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Gaumont')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/gaumont.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Hollywood Pictures')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/hollywood.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Lionsgate')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/lionsgate.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Lucasfilm')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/lucasfilm.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'MGM')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/mgm.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Miramax')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/miramax.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'New Line')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/newlinecinema.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Paramount')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/paramount.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Revolution Pictures')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/revolution.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Screen Gems')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/screengems.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Sony Pictures')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/sonypictures.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Studio Canal')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/studiocanal.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Touchstone')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/touchstone.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TriStar')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/tristar.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'United Artists')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/unitedartists.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Universal')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/universal.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Warner')"><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/studios/warner.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
                    <xsl:otherwise>

					<xsl:choose>
                    <xsl:when test="not(contains(company,'Fox')) or not(contains(company,'Artisan')) or not(contains(company,'Carolco')) or not(contains(company,'Castle Rock')) or not(contains(company,'Columbia Pictures')) or not(contains(company,'Dimension')) or not(contains(company,'Walt')) or not(contains(company,'DreamWorks')) or not(contains(company,'FilmFour')) or not(contains(company,'Gaumont')) or not(contains(company,'Hollywood Pictures')) or not(contains(company,'Lionsgate')) or not(contains(company,'Lucasfilm')) or not(contains(company,'MGM')) or not(contains(company,'Miramax')) or not(contains(company,'New Line')) or not(contains(company,'Paramount')) or not(contains(company,'Revolution Pictures')) or not(contains(company,'Screen Gems')) or not(contains(company,'Sony Pictures')) or not(contains(company,'Studio Canal')) or not(contains(company,'Touchstone')) or not(contains(company,'TriStar')) or not(contains(company,'United Artists')) or not(contains(company,'Universal')) or not(contains(company,'Warner'))">
                      <!--<xsl:value-of select="studio" />--><img><xsl:attribute name="id">stulistDVD<xsl:value-of select="position()"/></xsl:attribute><xsl:attribute name="src">pictures/meow/codecdummy_U.png</xsl:attribute><xsl:attribute name="height">38</xsl:attribute></img></xsl:when>
					  </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>
				   
                  </xsl:otherwise>
                 </xsl:choose>
				 
                </xsl:otherwise>
               </xsl:choose>
			   
              </xsl:otherwise>
             </xsl:choose>
			 
            </xsl:otherwise>
           </xsl:choose>
 </xsl:template>

<!-- handle IMDBrating field - set stars 1 to 10 --> 
<xsl:template name="starIMDB"> 
<xsl:param name="numIMDB" select="0"/> 
<xsl:param name="LoopNum" select="0"/> 
  <xsl:choose> 
    <xsl:when test="$LoopNum&lt;'10'"> 
    <xsl:choose> 
      <xsl:when	test="$numIMDB&lt;'0' or $numIMDB = '0'"> 
	 <img src="pictures/Stars/kstarempty.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.1'	and $numIMDB > '0'"> 
	 <img src="pictures/Stars/kstar.1.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.2'	and $numIMDB > '.1'"> 
	 <img src="pictures/Stars/kstar.2.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.3'	and $numIMDB > '.2'"> 
	 <img src="pictures/Stars/kstar.3.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.4'	and $numIMDB > '.3'"> 
	 <img src="pictures/Stars/kstar.4.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.5'	and $numIMDB > '.4'"> 
	 <img src="pictures/Stars/kstar.5.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.6'	and $numIMDB > '.5'"> 
	 <img src="pictures/Stars/kstar.6.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.7'	and $numIMDB > '.6'"> 
	 <img src="pictures/Stars/kstar.7.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.8'	and $numIMDB > '.7'"> 
	 <img src="pictures/Stars/kstar.8.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB&lt;='.9'	and $numIMDB > '.8'"> 
	 <img src="pictures/Stars/kstar.9.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
      <xsl:when	test="$numIMDB>=1"> 
	 <img src="pictures/Stars/kstar.png" class="starimg"/> 
	 <xsl:call-template name="starIMDB"> 
	   <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
	   <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
	 </xsl:call-template> 
      </xsl:when> 
    </xsl:choose> 
    </xsl:when>	
  </xsl:choose>	
</xsl:template>

<xsl:template name="substring-before-last">
  <xsl:param name="string" />
  <xsl:param name="delimiter" />
  <xsl:if test="$delimiter and contains($string, $delimiter)">
    <xsl:variable name="temp" select="substring-after($string, $delimiter)" />
    <xsl:value-of select="substring-before($string, $delimiter)" />
    <xsl:if test="contains($temp, $delimiter)">
      <xsl:value-of select="$delimiter"	/>
      <xsl:call-template name="substring-before-last">
	<xsl:with-param	name="string" select="$temp" />
	<xsl:with-param	name="delimiter" select="$delimiter" />
      </xsl:call-template>
    </xsl:if>
  </xsl:if>
</xsl:template>

<xsl:template name="substring-after-last">
  <xsl:param name="string" />
  <xsl:param name="delimiter" />
  <xsl:choose>
    <xsl:when test="contains($string, $delimiter)">
      <xsl:call-template name="substring-after-last">
	<xsl:with-param	name="string"
	  select="substring-after($string, $delimiter)"	/>
	<xsl:with-param	name="delimiter" select="$delimiter" />
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$string" /></xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="plot">
  <xsl:param name="string" />
  <xsl:param name="delimiter" />
  <xsl:choose>
    <xsl:when test="contains($string, $delimiter)">
       <xsl:call-template name="plot">
	<xsl:with-param	name="string" select="substring-before($string,$delimiter)"/>
	<xsl:with-param	name="delimiter" select="$delimiter" />
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$string"/>
     </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="search-and-replace">
  <xsl:param name="input"/>
  <xsl:param name="search-string"/>
  <xsl:param name="replace-string"/>
  <xsl:choose>
    <xsl:when test="$search-string and contains($input,	$search-string)">
      <xsl:value-of select="substring-before($input,$search-string)"/>
      <xsl:value-of select="$replace-string"/>
      <xsl:call-template name="search-and-replace">
	<xsl:with-param	name="input" select="substring-after($input,$search-string)"/>
	<xsl:with-param	name="search-string" select="$search-string"/>
	<xsl:with-param	name="replace-string" select="$replace-string"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$input"/>)
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!--  template fixLink	-->
<!-- replace '%20' with	' ' and	'.' to ' ' from	file link -->
<xsl:template name="fixLink">
  <xsl:param name="link" />

  <xsl:variable	name="tmpLink">
    <xsl:call-template name="replaceCharsInString">
      <xsl:with-param name="stringIn" select="string($link)" />
      <xsl:with-param name="charsIn" select="'%20'" />
      <xsl:with-param name="charsOut" select="'	'" />
    </xsl:call-template>
  </xsl:variable>

  <xsl:variable	name="newLink">
    <xsl:call-template name="replaceCharsInString">
      <xsl:with-param name="stringIn" select="string($tmpLink)"	/>
      <xsl:with-param name="charsIn" select="'%2C'" />
      <xsl:with-param name="charsOut" select="','" />
    </xsl:call-template>
  </xsl:variable>

<!-- $newLink is a result tree fragment, which should be OK. -->
<!-- If	you really need	a string object, do this: -->
<!--
  <xsl:variable	name="myNewRealString" select="string($newLink)" />
-->
  <xsl:value-of	select="$newLink" />
</xsl:template>

<!--  template replaceCharsInString  -->
<xsl:template name="replaceCharsInString">
  <xsl:param name="stringIn" />
  <xsl:param name="charsIn" />
  <xsl:param name="charsOut" />

  <xsl:choose>
    <xsl:when test="contains($stringIn,	$charsIn)">
      <xsl:value-of select="concat(substring-before($stringIn, $charsIn), $charsOut)" />
      <xsl:call-template name="replaceCharsInString">
	<xsl:with-param	name="stringIn"	select="substring-after($stringIn, $charsIn)" />
	<xsl:with-param	name="charsIn" select="$charsIn" />
	<xsl:with-param	name="charsOut"	select="$charsOut" />
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$stringIn" />
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>



<xsl:template name="networkIndex2">

           <xsl:choose>
            <xsl:when test="contains(company,'A&#38;E')">pictures/tvlogos/ae.png</xsl:when>
            <xsl:otherwise> 

			<xsl:choose>
              <xsl:when test="contains(company,'ABC')">pictures/tvlogos/abc.png</xsl:when>
              <xsl:otherwise>

			  <xsl:choose>
                <xsl:when test="contains(company,'AMC')">pictures/tvlogos/amc.png</xsl:when>
                <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC One') or contains(company,'BBC ONE')">pictures/tvlogos/bbc1.png</xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC Two') or contains(company,'BBC TWO')">pictures/tvlogos/bbc2.png</xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC Three') or contains(company,'BBC THREE')">pictures/tvlogos/bbc3.png</xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC Four')">pictures/tvlogos/bbc4.png</xsl:when>
                  <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'BBC')">pictures/tvlogos/bbc.png</xsl:when>
                  <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Bravo')">pictures/tvlogos/bravo.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Cartoon Network')">pictures/tvlogos/cartoonnetwork.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'CBS')">pictures/tvlogos/cbs.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Channel 4')">pictures/tvlogos/channel4.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'The CW')">pictures/tvlogos/cw.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Discovery')">pictures/tvlogos/discovery.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Disney')">pictures/tvlogos/disney.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'E!')">pictures/tvlogos/e.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Five') or contains(company,'five')">pictures/tvlogos/five.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Food Network')">pictures/tvlogos/foodnetwork.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'FOX')">pictures/tvlogos/fox.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'FX')">pictures/tvlogos/fx.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'HBO')">pictures/tvlogos/hbo.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'History')">pictures/tvlogos/historychannel.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'ITV')">pictures/tvlogos/itv.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Lifetime')">pictures/tvlogos/lifetime.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'MTV')">pictures/tvlogos/mtv.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'NBC')">pictures/tvlogos/nbc.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Nickelodeon')">pictures/tvlogos/nickelodeon.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'PBS')">pictures/tvlogos/pbs.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Showcase') or contains(company,'ShowCase')">pictures/tvlogos/showcase.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Showtime')">pictures/tvlogos/showtime.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Spike')">pictures/tvlogos/spike.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'SciFi')">pictures/tvlogos/syfy.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TBS')">pictures/tvlogos/tbs.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TLC')">pictures/tvlogos/tlc.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TNT')">pictures/tvlogos/tnt.png</xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'TV Land')">pictures/tvlogos/tvland.png</xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'USA')">pictures/tvlogos/usa.png</xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'UPN')">pictures/tvlogos/upn.png</xsl:when>
                    <xsl:otherwise>
					
				  <xsl:choose>
                    <xsl:when test="contains(company,'VH1')">pictures/tvlogos/vh1.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Comedy Central')">pictures/tvlogos/comedycentral.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'CTV')">pictures/tvlogos/ctv.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'E4')">pictures/tvlogos/e4.png</xsl:when>
                    <xsl:otherwise>

					<xsl:choose>
                    <xsl:when test="not(contains(company,'A&#38;E')) or not(contains(company,'ABC')) or not(contains(company,'AMC')) or not(contains(company,'BBC')) or not(contains(company,'Bravo')) or not(contains(company,'Cartoon Network')) or not(contains(company,'CBS')) or not(contains(company,'The CW')) or not(contains(company,'Discovery')) or not(contains(company,'Disney')) or not(contains(company,'E!')) or not(contains(company,'Food Network')) or not(contains(company,'FOX')) or not(contains(company,'FX')) or not(contains(company,'HBO')) or not(contains(company,'History')) or not(contains(company,'Lifetime')) or not(contains(company,'MTV')) or not(contains(company,'NBC')) or not(contains(company,'Nickelodeon')) or not(contains(company,'PBS')) or not(contains(company,'Showtime')) or not(contains(company,'Spike')) or not(contains(company,'SciFi')) or not(contains(company,'TBS')) or not(contains(company,'TLC')) or not(contains(company,'TNT')) or not(contains(company,'TV Land')) or not(contains(company,'USA')) or not(contains(company,'VH1')) or not(contains(company,'Comedy Central')) or not(contains(company,'BBC One')) or not(contains(company,'BBC ONE')) or not(contains(company,'BBC Two')) or not(contains(company,'BBC TWO')) or not(contains(company,'BBC Three')) or not(contains(company,'BBC THREE')) or not(contains(company,'BBC Four')) or not(contains(company,'Channel 4')) or not(contains(company,'Five')) or not(contains(company,'five')) or not(contains(company,'ITV')) or not(contains(company,'Showcase')) or not(contains(company,'ShowCase')) or not(contains(company,'CTV')) or not(contains(company,'E4')) or not(contains(company,'UPN'))">pictures/meow/codecdummy_U.png</xsl:when>
					  </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
					  
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>
				   
                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>
				   
                  </xsl:otherwise>
                 </xsl:choose>
				 
                </xsl:otherwise>
               </xsl:choose>
			   
              </xsl:otherwise>
             </xsl:choose>
			 
            </xsl:otherwise>
           </xsl:choose>
 </xsl:template>

<xsl:template name="studioIndex2">

           <xsl:choose>
            <xsl:when test="contains(company,'Fox')">pictures/studios/20thcenturyfox.png</xsl:when>
            <xsl:otherwise> 

			<xsl:choose>
              <xsl:when test="contains(company,'Artisan')">pictures/studios/artisan.png</xsl:when>
              <xsl:otherwise>

			  <xsl:choose>
                <xsl:when test="contains(company,'Carolco')">pictures/studios/carolco.png</xsl:when>
                <xsl:otherwise>

				<xsl:choose>
                  <xsl:when test="contains(company,'Castle Rock')">pictures/studios/castlerock.png</xsl:when>
                  <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Columbia Pictures')">pictures/studios/columbia.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Dimension')">pictures/studios/dimension.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Walt')">pictures/studios/disney.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'DreamWorks')">pictures/studios/dreamworks.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'FilmFour')">pictures/studios/filmfour.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Gaumont')">pictures/studios/gaumont.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Hollywood Pictures')">pictures/studios/hollywood.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Lionsgate')">pictures/studios/lionsgate.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Lucasfilm')">pictures/studios/lucasfilm.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'MGM')">pictures/studios/mgm.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Miramax')">pictures/studios/miramax.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'New Line')">pictures/studios/newlinecinema.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Paramount')">pictures/studios/paramount.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Revolution Pictures')">pictures/studios/revolution.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Screen Gems')">pictures/studios/screengems.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Sony Pictures')">pictures/studios/sonypictures.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Studio Canal')">pictures/studios/studiocanal.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Touchstone')">pictures/studios/touchstone.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'TriStar')">pictures/studios/tristar.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'United Artists')">pictures/studios/unitedartists.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Universal')">pictures/studios/universal.png</xsl:when>
                    <xsl:otherwise>

				  <xsl:choose>
                    <xsl:when test="contains(company,'Warner')">pictures/studios/warner.png</xsl:when>
                    <xsl:otherwise>

					<xsl:choose>
                    <xsl:when test="not(contains(company,'Fox')) or not(contains(company,'Artisan')) or not(contains(company,'Carolco')) or not(contains(company,'Castle Rock')) or not(contains(company,'Columbia Pictures')) or not(contains(company,'Dimension')) or not(contains(company,'Walt')) or not(contains(company,'DreamWorks')) or not(contains(company,'FilmFour')) or not(contains(company,'Gaumont')) or not(contains(company,'Hollywood Pictures')) or not(contains(company,'Lionsgate')) or not(contains(company,'Lucasfilm')) or not(contains(company,'MGM')) or not(contains(company,'Miramax')) or not(contains(company,'New Line')) or not(contains(company,'Paramount')) or not(contains(company,'Revolution Pictures')) or not(contains(company,'Screen Gems')) or not(contains(company,'Sony Pictures')) or not(contains(company,'Studio Canal')) or not(contains(company,'Touchstone')) or not(contains(company,'TriStar')) or not(contains(company,'United Artists')) or not(contains(company,'Universal')) or not(contains(company,'Warner'))">pictures/meow/codecdummy_U.png</xsl:when>
					  </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>

                    </xsl:otherwise>
                   </xsl:choose>
				   
                  </xsl:otherwise>
                 </xsl:choose>
				 
                </xsl:otherwise>
               </xsl:choose>
			   
              </xsl:otherwise>
             </xsl:choose>
			 
            </xsl:otherwise>
           </xsl:choose>
 </xsl:template>
 </xsl:stylesheet>